<template>
	<view class="p-root-person-feedbackList g_w_all g_bg_f_5 g_pl_10 g_pr_10 g_pt_10 g_pb_14 g_kuaishou">
		<view class="sub f14" v-for="(item, index) in list" :key="index" hover-class="none" hover-stop-propagation="false">
			<view class="g_flex_row_between g_mb_8 g_c_9" hover-class="none" hover-stop-propagation="false">
				<view class hover-class="none" hover-stop-propagation="false">{{ item.updateTime }}</view>
				<view class hover-class="none" hover-stop-propagation="false">{{ item.replyStatus == 0 ? "已反馈" : "已回复" }}</view>
			</view>
			<view class="g_c_6" hover-class="none" hover-stop-propagation="false">{{ item.content }}</view>
			<view class="g_c_3 g_pt_8 g_mt_8 g_border_e_t" v-if="item.reply" hover-class="none" hover-stop-propagation="false">{{ item.reply }}</view>
		</view>
		<block v-if="list == null || list.length == 0">
			<view class="empty g_flex_column_center">
				<g-empty text="暂无反馈记录" />
			</view>
		</block>
	</view>
</template>

<script>
export default {
	onReady() {
		this.G.setNavStyle();
		this.getList();
		uni.setBackgroundColor({
			backgroundColorBottom: "#f5f5f5",
		});
	},
	onShareAppMessage() {
		return this.G.shareFun();
	},
	// 组件名称
	name: "",
	// 局部注册的组件
	components: {},
	// 组件参数 接收来自父组件的数据
	props: {},
	// 组件状态值
	data() {
		return {
			list: [],
			isLoading: true,
		};
	},
	// 计算属性
	computed: {},
	// 侦听器
	watch: {},
	created() {},
	mounted() {},
	// 组件方法
	methods: {
		getList() {
			let that = this;
			uni.showLoading({
				title: "加载中...",
				mask: false,
			});
			that.G.Get(that.api.person_feedbackList, "", (res) => {
				console.log(res);
				that.list = res.list;
				that.list.forEach((item) => {
					item.updateTime = that.G.getPointTime(item.updateTime);
				});
				uni.hideLoading();
			});
		},
	},
};
</script>

<style scoped lang="scss">
.p-root-person-feedbackList {
	height: 100vh;
	overflow-y: auto;
	.sub {
		background-color: #fff;
		margin-bottom: 10px;
		border-radius: 8px;
	}
	.sub {
		padding: 12px 10px;
	}
	.empty {
		height: calc(100vh - 30px);
		// background-color: #fff;
		overflow: hidden;
	}
}
</style>
